# Yii OpenCMS #
-------------------

FEATURES
-------------------
* Backend and Frontend
* Bootstrap 2.3
* CMS Multilanguage Support I18n
* System & App Multilanguage Support I18n
* Cruge RBAC **Reference:** [http://www.yiiframework.com/extension/cruge](http://www.yiiframework.com/extension/cruge)
* Based on NordCMS 2.0 **Reference:** [https://bitbucket.org/NordLabs/nordcms](https://bitbucket.org/NordLabs/nordcms)


DIRECTORY STRUCTURE
-------------------
**Reference:** [https://github.com/bryglen/yii-advanced-template](https://github.com/bryglen/yii-advanced-template)

```
/protected
    config
        api/            contains api configurations
        backend/        contains backend configurations
        common/         contains shared configurations
        console/        contains console configurations
        frontend/       contains frontend configurations
        test/           contains test driven development configurations
    controllers
        api/            contains api controller
        backend/        contains backend controller
        frontend/       contains frontend controller
    models
        _base           contains base models (generated by gii)
        _common         contains common classes used in backend, frontend and api
        api             contains api-specific classes
        backend         contains backend-specific classes
        frontend        contains frontend-specific classes

/environment.php         contains environment-based
```

GETTING STARTED
---------------

    1. /assets - change permission to writable by webserver
    2. /protected/runtime - change permission to writable by webserver
    3. /uploads - change permission to writable by webserver
    4. /environment.php - add your absolute path to $local_path
    5. /index.php - define Yii Framework path to $local_path
    6. /protected/config/dbconnect.local.php - adjust configuration
    7. /protected/data/yiiopencms.sql - import database

You should be able to access:

* Frontend using the URL `http://localhost/opencms/`
* Backend using the URL `http://localhost/opencms/backend/` `user:admin passwd: admin`

**Author:** juankaka@gmail.com

**Version:** 0.1.0

      Demo: http://www.mediatic.com.co/proyectos/yiiopencms/
